Package tigase.server.xmppserver

# Class S2SIOService

java.lang.Object
tigase.net.IOService<RefObject>
tigase.xmpp.XMPPIOService<Object>
tigase.server.xmppserver.S2SIOService

All Implemented Interfaces:
  `Callable<IOService<?>>`, `TLSEventHandler`, `IOListener`

public class S2SIOService extends XMPPIOService<Object>
Created: Jun 14, 2010 12:30:53 PM

Author:
  Artur Hefczyc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `HANDSHAKING_DOMAIN_KEY`
  `protected static final String`
  `HANDSHAKING_ONLY_KEY`
  `static final String`
  `S2S_CONNECTION_KEY`

  ### Fields inherited from class tigase.xmpp.XMPPIOService

  `ACK_NAME, CROSS_DOMAIN_POLICY_FILE_PROP_KEY, CROSS_DOMAIN_POLICY_FILE_PROP_VAL, DOM_HANDLER, ID_ATT, parser, processors, REQ_NAME, serviceListener, STREAM_CLOSING, writeInProgress`

  ### Fields inherited from class tigase.net.IOService

  `cb, CERT_CHECK_RESULT, CERT_REQUIRED_DOMAIN, decoder, encoder, HOSTNAME_KEY, LOCAL_CERT_CHECK_RESULT, partialCharacterBytes, PORT_TYPE_PROP_KEY, SESSION_ID_KEY, SSL_PROTOCOLS_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `S2SIOService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCID(CID cid)`
  Adds another connection id (CID) to the authenticated list for this connection
  `void`
  `addCID(CID cid, tigase.server.xmppserver.S2SIOService.DIRECTION direction)`
  `Set<CID>`
  `getCIDs()`
  `S2SConnection`
  `getS2SConnection()`
  `String`
  `getSessionId()`
  `boolean`
  `isAuthenticated()`
  `boolean`
  `isAuthenticated(CID cid)`
  `boolean`
  `isHandshakingOnly()`
  `boolean`
  `isStreamNegotiationCompleted()`
  `void`
  `setDBKey(String key)`
  `void`
  `setS2SConnection(S2SConnection s2s_conn)`
  `void`
  `setSessionId(String session_id)`
  `void`
  `streamNegotiationCompleted()`
  `String`
  `toString()`

  ### Methods inherited from class tigase.xmpp.XMPPIOService

  `addPacketToSend, addReceivedPacket, call, checkBufferLimit, checkData, clearWaitingPackets, forceStop, getAuthorisedUserJid, getLastXmppPacketReceiveTime, getPacketsReceived, getPacketsSent, getReceivedPackets, getTotalPacketsReceived, getTotalPacketsSent, getUserJid, getWaitingForAct, getWaitingPackets, getXMLNS, hasParsedElements, moveParsedPacketsToReceived, prepareStreamClose, processSocketData, processWaitingPackets, receivedPackets, setAckMode, setAuthorisedUserJid, setElementLimits, setIOServiceListener, setProcessors, setUserJid, setXMLNS, shouldCountPacket, stop, writeRawData, xmppStreamClosed, xmppStreamOpen, xmppStreamOpened`

  ### Methods inherited from class tigase.net.IOService

  `accept, accept, byteOrder, connectionType, debug, debug, getBuffOverflow, getBytesReceived, getBytesSent, getCertificateContainer, getConnectionId, getDataReceiver, getIO, getLastTransferTime, getLocalAddress, getLocalCertificate, getLocalPort, getPeerCertificate, getReadCounters, getRefObject, getRemoteAddress, getSessionData, getSocketChannel, getSocketInputSize, getStatistics, getTlsExporter, getTlsUniqueId, getTotalBuffOverflow, getTotalBytesReceived, getTotalBytesSent, getUniqueId, getWriteCounters, handleMalformedInput, handshakeCompleted, isConnected, isInputBufferEmpty, isSocketServiceReady, readBytes, readCompleted, readData, setBufferLimit, setCertificateContainer, setConnectionId, setDataReceiver, setIOServiceListener, setRefObject, setSessionData, setSocketServiceReady, setSslContextContainer, setX509TrustManagers, startSSL, startTLS, startZLib, waitingToRead, waitingToSend, waitingToSendSize, writeBytes, writeData`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### S2S_CONNECTION_KEY

    public static final String S2S_CONNECTION_KEY
    See Also:
      - Constant Field Values

  - ### HANDSHAKING_DOMAIN_KEY

    public static final String HANDSHAKING_DOMAIN_KEY
    See Also:
      - Constant Field Values

  - ### HANDSHAKING_ONLY_KEY

    protected static final String HANDSHAKING_ONLY_KEY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### S2SIOService

    public S2SIOService()

- ## Method Details

  - ### addCID

    public void addCID(CID cid)
    Adds another connection id (CID) to the authenticated list for this connection

  - ### addCID

    public void addCID(CID cid, tigase.server.xmppserver.S2SIOService.DIRECTION direction)

  - ### getCIDs

    public Set<CID> getCIDs()

  - ### getS2SConnection

    public S2SConnection getS2SConnection()

  - ### setS2SConnection

    public void setS2SConnection(S2SConnection s2s_conn)

  - ### getSessionId

    public String getSessionId()

  - ### setSessionId

    public void setSessionId(String session_id)

  - ### isAuthenticated

    public boolean isAuthenticated(CID cid)

  - ### isAuthenticated

    public boolean isAuthenticated()

  - ### isHandshakingOnly

    public boolean isHandshakingOnly()

  - ### isStreamNegotiationCompleted

    public boolean isStreamNegotiationCompleted()

  - ### streamNegotiationCompleted

    public void streamNegotiationCompleted()

  - ### setDBKey

    public void setDBKey(String key)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `XMPPIOService<Object>`